POST /v1/data/xigua/posts/run
Pricing: $0.002 per post ($2.00 per 1,000).
Request
Send the inputs underparams. Only the keys below are accepted; any other key returns 422 invalid_params.
Example
curl -X POST "https://api.mindcase.co/v1/data/xigua/posts/run?wait=true" \
-H "Authorization: Bearer $MINDCASE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"params": {
"queries": [
"美食",
"华农兄弟",
"阿星探店"
],
"maxResults": 10
}
}'
import os, requests
r = requests.post(
"https://api.mindcase.co/v1/data/xigua/posts/run",
params={"wait": "true"},
headers={"Authorization": f"Bearer {os.environ['MINDCASE_API_KEY']}"},
json={"params": {
"queries": [
"美食",
"华农兄弟",
"阿星探店"
],
"maxResults": 10
}},
)
job = r.json()
rows = job.get("data", []) # if job["status"] == "running", poll /v1/jobs/{job_id}/results
const r = await fetch("https://api.mindcase.co/v1/data/xigua/posts/run?wait=true", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.MINDCASE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({ params: {
"queries": [
"美食",
"华农兄弟",
"阿星探店"
],
"maxResults": 10
} }),
});
const job = await r.json();
const rows = job.data ?? []; // if job.status === "running", poll /v1/jobs/{job_id}/results
Response fields
Each row indata is one post, keyed by these fields.
| Field | Name | Type |
|---|---|---|
postUrl | Post URL | url |
title | Title | text |
description | Description | text |
author | Author | object |
postedDate | Posted Date | date |
views | Views | number |
likes | Likes | number |
comments | Comments | number |
shares | Shares | number |
saves | Saves | number |
danmaku | Danmaku | number |
durationS | Duration S | number |
category | Category | text |
categories | Categories | object_array |
thumbnail | Thumbnail | image |
stats | Stats | object |
searchRank | Search Rank | number |
sourceQuery | Source Query | text |
Example response
Abridged: long text and lists are shortened.{
"job_id": "7f3a1c2e-0b9d-4c55-9a51-3f2e8d1b6a40",
"agent": "xigua/posts",
"status": "completed",
"row_count": 1,
"truncated": false,
"data": [
{
"author": {
"userId": "105787954175",
"awemeUserId": "0",
"secUserId": null,
"name": "十一按时吃饭🥣",
"description": "",
"avatarUrl": "https://p3.bdxiguaimg.com/aweme/100x100/aweme-avatar/tos-cn-avt-0015_59b1054b1c387cc45c0d1c6a32b95d07.jpeg?from=327834062",
"followerCount": 357522,
"followerCountText": "35万",
"videoTotalCount": 52,
"isLiving": false,
"userVerified": null,
"verifiedContent": null
},
"saves": 345089,
"stats": {
"playCount": 0,
"commentCount": 22610,
"diggCount": 1442696,
"buryCount": 0,
"shareCount": 654636,
"impressionCount": 0,
"repinCount": 345089,
"danmakuCount": 926,
"videoLikeCount": 0
},
"postedDate": "2026-07-21T09:29:38+00:00",
"shares": 654636,
"danmaku": 926,
"postUrl": "https://www.ixigua.com/7664911070490126501",
"description": "每天最治愈的就是亲手做一顿热气腾腾的晚餐\n嫩嫩的鸡蛋和虾仁🍤\n裹满浓郁酸甜的番茄汤汁\n拌米饭真的能无脑干两碗~\n鸡腿排外皮煎得金黄酥脆🍗\n咸甜交织一口沦陷\n搭配夏日专属清爽特调\n青提西瓜养乐多🍉\n清爽又解腻\n平凡的日常,也藏着满满的温柔与治愈💛\n#满级吃商通关赛 #治愈系美食 #治愈料理 #宅家自制漂亮饭 #西瓜真甜",
"likes": 1442696,
"category": "美食",
"views": null,
"comments": 22610,
"categories": [
{
"source": "aweme",
"version": 0,
"path": [
"美食",
"美食展示",
"普通美食展示"
],
"ids": [
"2001",
"2001007",
"2001007001"
]
},
{
"source": "aweme",
"version": 1,
"path": [
"美食",
"美食教程",
"常规菜品教程"
],
"ids": [
"628",
"62804",
"6280401"
]
}
],
"searchRank": 1,
"sourceQuery": "美食",
"title": "乡村厨房🏠番茄虾仁滑蛋🍳蜂蜜黄油脆皮鸡排🍗",
"thumbnail": "https://p3-sign.douyinpic.com/tos-cn-i-0813c000-ce/ooAAJBAUQIDAA7sgg88eFLevFGfIlnQgkCYGyg~tplv-pk90l89vgd-cover-blur:864:486:90.jpeg?lk3s=9d3f5bff&x-expires=...",
"durationS": 128
}
]
}